Laufende Projekte

filled face

ein parametrisches Filled Face Objekt

Das Modul filledface enthält eine Methode createFilledFace.

Anwendungsbeispiel

Um es anzuwenden, werden zwei oder drei Kurven mit gemeinsamen Endpunkten benötigt. Das können z.B. Draft BSplines sein.

import Draft

pts=[FreeCAD.Vector(p) for p in [(0,0,0),(100,0,0),(300,200,100)]]
w1=Draft.makeBSpline(pts)

pts=[FreeCAD.Vector(p) for p in [(0,0,0),(100,200,0),(300,200,100)]]
w2=Draft.makeBSpline(pts)

Das Modul filledface befindet sich im Arbeitsbereich nurbswb und kann von dort geladen werden.

import nurbswb.filledface
from nurbswb.filledface import createFilledFace

Für die Anwendung wird ein FilledFace Objekt erzeugt, dann werden die beiden Ränder zugeordnet und eine Neuberechnung angestoßen.

ff=createFilledFace()
ff.e1=w1
ff.e2=w2
App.activeDocument().recompute()

Implementierung

Die Klasse FilledFace fügt einem Part::FeaturePython Objekt Links für drei Ränder-Objekte hinzu. Wenn die Ränder von Objekten kommen , welche mehr als ein Edge haben, ..

  • Skript (2.89 KiB, 5M ago, 32 downloads)

Arbeitsbereiche

Kleinigkeiten

projekte.txt · Zuletzt geändert: 2017/05/17 23:20 von freek